> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob - Retrieve contents

> Given the blob storage uri for an output in Flyte, streams the content (up to a max configured limit)



## OpenAPI

````yaml /api-specs/cloud/flyte-extensions-api.yaml get /blobs/render
openapi: 3.1.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: "\n\tAdds a number of extended operations to Flyte in support of retrieving artifact\n\tmetadata and bookmarking artifacts from individual executions."
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: >-
    https://tickets.dominodatalab.com/hc/en-us/articles/360060058871-Service-Level-Agreement
  title: Flyte HTTP Gateway
  version: '0.1'
servers:
  - url: https://mycluster.domino.tech/flows/api/artifacts/v1
    description: Replace 'mycluster.domino.tech' with your Domino cluster hostname.
security: []
paths:
  /blobs/render:
    get:
      summary: Blob - Retrieve contents
      description: >-
        Given the blob storage uri for an output in Flyte, streams the content
        (up to a max configured limit)
      operationId: artifacts-blobs-render
      parameters:
        - description: Blob storage path from Flyte a format like s3://bucket/path
          explode: false
          in: query
          name: native_url
          required: true
          schema:
            $ref: '#/components/schemas/URL'
            description: Blob storage path from Flyte a format like s3://bucket/path
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                contentMediaType: application/octet-stream
                format: binary
                type: string
          description: File Contents
          headers:
            X-Domino-Artifact-Content-Length:
              description: The original file size from upstream blob storage
              schema:
                type: string
            X-Domino-Artifact-Sas7bdat-Rows:
              description: >-
                When the file is a SAS file, the number of rows set in the
                header
              schema:
                type: string
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    URL:
      format: uri
      type: string
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````